GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
memory_map_parsing_data Struct Reference

## Public Member Functions
| memory_map_parsing_data (std::vector< mem_region > *memory_map_)

## Public Attributes
std::vector< mem_region > * | memory_map
std::string | property_name

## Detailed Description

Definition at line 45 of file memory-map.c.

## Constructor & Destructor Documentation

## ◆ memory_map_parsing_data()

memory_map_parsing_data::memory_map_parsing_data | ( | std::vector< mem_region > * | memory_map_ | ) |
| inline

Definition at line 47 of file memory-map.c.

## Member Data Documentation

## ◆ memory_map

std::vector<mem_region>* memory_map_parsing_data::memory_map

Definition at line 51 of file memory-map.c.

Referenced by memory_map_end_memory(), memory_map_end_property(), and memory_map_start_memory().

## ◆ property_name

std::string memory_map_parsing_data::property_name

Definition at line 53 of file memory-map.c.

Referenced by memory_map_end_property(), and memory_map_start_property().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/memory-map.c